Subject: Re: bug#34819: 26.1; Blank help-echo tooltips for mode line menus

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Mar 2019 17:56:56 +0200

> Date: Tue, 12 Mar 2019 19:28:53 +1300
> From: Phil Sainty <[email-masked]>
> 
> In fact that recipe was more complex than required.
> 
> I'd used text-mode because I'd noted that it had tooltips for its
> menu -- but so does lisp-interaction-mode, I now realise.  So from
> emacs -Q we can go directly to the major mode menu in the mode line,
> without changing the major modes at all.  The same issue still occurs.

What happens if you click C-mouse-3?  Does the menu that pops up have
valid help-echo or doesn't it?